# -*- encoding : utf-8 -*-
class Public::MenuItemsController < ApplicationController
  
	layout "public"
	def show
    @admin = true if params[:admin]
    
		@menu_item = MenuItem.find_by_permalink(params[:url])
		if @menu_item
		
			if !@menu_item.enabled
				redirect_to "/404.html"
		
			elsif @menu_item.menu_content_type == "MenuAlias"
				if @menu_item.menu_content.menu_item
					redirect_to menu_item_path(:url => @menu_item.menu_content.menu_item_alias.permalink)
				else
					redirect_to "/404.html"
				end
	
		
			elsif @menu_item.menu_content_type == "Page"
			
			
				@page = @menu_item.menu_content
			
				@title = @page.title
			
			
			end
		else
			redirect_to "/", :notice => "La page que vous demandez n'a pas pu être trouvée.<br /><br />Vous avez donc été redirigé sur notre page d'accueil"
			
		end
  	end

end
